import { JavaObject } from '../../../java/lang/JavaObject';
export declare class GostJahrgang extends JavaObject {
    abiturjahr: Number | null;
    jahrgang: String | null;
    bezeichnung: String | null;
    istAbgeschlossen: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostJahrgang;
    static transpilerToJSON(obj: GostJahrgang): string;
    static transpilerToJSONPatch(obj: Partial<GostJahrgang>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostJahrgang(obj: unknown): GostJahrgang;
